- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::NullProcessor Class Reference

A Processor class that does nothing. More...

`#include <gnullprocessor.h>`

Inheritance diagram for GSmtp::NullProcessor:

## Public Member Functions
| NullProcessor ()
| Constructor. More...
| NullProcessor (unsigned int exit_code)
| Constructor for a processor that behaves like an executable that always exits with the given exit code. More...
virtual | ~NullProcessor ()
| Destructor. More...
virtual G::Signal1< bool > & | doneSignal ()
| Final override from GSmtp::Processor. More...
virtual void | start (const std::string &path)
| Final override from GSmtp::Processor. More...
virtual void | abort ()
| Final override from GSmtp::Processor. More...
virtual std::string | text () const
| Final override from GSmtp::Processor. More...
virtual bool | cancelled () const
| Final override from GSmtp::Processor. More...
virtual bool | repoll () const
| Final override from GSmtp::Processor. More...
Public Member Functions inherited from GSmtp::Processor
virtual | ~Processor ()
| Destructor. More...

## Detailed Description

A Processor class that does nothing.

Definition at line 38 of file gnullprocessor.h.

## Constructor & Destructor Documentation

GSmtp::NullProcessor::NullProcessor | ( |  | ) |

Constructor.

Definition at line 25 of file gnullprocessor.cpp.

GSmtp::NullProcessor::NullProcessor | ( | unsigned int | exit_code | ) |
| explicit

Constructor for a processor that behaves like an executable that always exits with the given exit code.

Definition at line 32 of file gnullprocessor.cpp.

GSmtp::NullProcessor::~NullProcessor | ( |  | ) |
| virtual

Destructor.

Definition at line 43 of file gnullprocessor.cpp.

## Member Function Documentation

void GSmtp::NullProcessor::abort | ( |  | ) |
| virtual

Final override from GSmtp::Processor.

Implements GSmtp::Processor.

Definition at line 67 of file gnullprocessor.cpp.

bool GSmtp::NullProcessor::cancelled | ( |  | ) | const
| virtual

Final override from GSmtp::Processor.

Implements GSmtp::Processor.

Definition at line 47 of file gnullprocessor.cpp.

G::Signal1< bool > & GSmtp::NullProcessor::doneSignal | ( |  | ) |
| virtual

Final override from GSmtp::Processor.

Implements GSmtp::Processor.

Definition at line 62 of file gnullprocessor.cpp.

bool GSmtp::NullProcessor::repoll | ( |  | ) | const
| virtual

Final override from GSmtp::Processor.

Implements GSmtp::Processor.

Definition at line 52 of file gnullprocessor.cpp.

void GSmtp::NullProcessor::start | ( | const std::string & | path | ) |
| virtual

Final override from GSmtp::Processor.

Implements GSmtp::Processor.

Definition at line 71 of file gnullprocessor.cpp.

std::string GSmtp::NullProcessor::text | ( |  | ) | const
| virtual

Final override from GSmtp::Processor.

Implements GSmtp::Processor.

Definition at line 57 of file gnullprocessor.cpp.

The documentation for this class was generated from the following files:

- gnullprocessor.h
- gnullprocessor.cpp